DOSEMU(1)

NAME
dosemu, xdosemu - run DOS and DOS programs under Linux

SYNOPSIS
dosemu [ -dumb ] [ -home ] [ -install bootdir ] [ args ]

xdosemu [ -dumb ] [ -home ] [ -install bootdir ] [ args ]

DESCRIPTION
dosemu is the wrapper script for dosemu.bin (1) which invokes the Linux dos emulator, also known as DOSEMU. The wrapper also takes care of (eventually) installing the private instance of DOSEMU in the user's $HOME, if this doesn't exist.

OPTIONS

args
    any number of options described in dosemu.bin (1), please refer to this man page for further details. However, take care to quote and escape correctly so bash doesn't mess up arguments containing blanks and backslashes.

-dumb
    use `dumb' terminal mode. This will only work for DOS applications, which do plain text output to stdout, but has the advantage that (A) the output of the DOS application stacks up in your xterm scroll buffer and (B) you can redirect it to a file such as

$ ./dosemu -dumb -E dir > listing
    Note that DOSEMU command.com's commandline editor/history will also work here, however, editing is restricted to BACKSPACE'ing.

-home
    in addition to drive C:, make the users $HOME available as drive D:. Note, however, that most of the Unix file names will get mangled.

-install
    launched as part of a systemwide installation, this option installs a private instance of a different DOS than the DOSEMU distributed dosemu-freedos-bin (maybe any proprietary DOS, which is bootable via fatfs). bootdir is the base name of a directory, the users has to install himself into the same directory the instance will be created in. The configuration in conf/dosemu.ocnf will be changed to boot this directory.

AUTHOR
DOSEMU (comprised of the files dosemu.bin and dosemu ) is based on version 0.4 of the original program written by Matthias Lautner (no current address that I know of).

Robert Sanders <gt8134b@prism.gatech.edu> was maintaining and enhancing the incarnation of DOSEMU with which this man page was originally distributed. During about 4 years James B. MacLean <macleajb@ednet.ns.ca> was the restless leader of the dosemu team, implementation of DPMI (which made Windows-3.1, dos4gw, djgpp, e.t.c running) happened during his 'governement' and brought the project near to Beta-state. Now Hans Lermen <lermen@fgan.de> is maintaining this funny software.

FILES
$HOME/.dosemu/bindist_path
    Contains the path to the current per user DOSEMU local directory. This will be created silently, if not existing.
$HOME/dosemu/bin/
$HOME/dosemu/conf/
$HOME/dosemu/freedos/
$HOME/dosemu/Xfonts/
    default directories of the local per user DOSEMU instance
/opt/dosemu/bin/
/opt/dosemu/doc/
/opt/dosemu/man/
/opt/dosemu/dosemu-bin.tgz
/opt/dosemu/dosemu-freedos-bin.tgz
    default systemwide installation, containing binaries and templates (path /opt/dosemu can be changed during creation of the systemwide installation).
/usr/bin/dosemu
/usr/bin/xdosemu
    symlinks to /opt/dosemu/bin/dosemu (path /usr/bin can be changed during creation of the systemwide installation).

SEE ALSO
dosemu.bin(1)